package room

import (
	"context"

	"microGame/app/usercenter/cmd/api/internal/svc"
	"microGame/app/usercenter/cmd/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type RoomListLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

// get room list
func NewRoomListLogic(ctx context.Context, svcCtx *svc.ServiceContext) *RoomListLogic {
	return &RoomListLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *RoomListLogic) RoomList(req *types.RoomInfoReq) (resp *types.RoomInfoResp, err error) {
	// todo: add your logic here and delete this line

	return
}
